#!/bin/sh
echo 'name: hxt
version: 9.1.2
id: hxt-9.1.2-7a24053f9dcf4d94d68544b5a3f61e5c

license: MIT
copyright: Copyright (c) 2005-2010 Uwe Schmidt
maintainer: Uwe Schmidt <uwe@fh-wedel.de>
stability: Stable
homepage: http://www.fh-wedel.de/~si/HXmlToolbox/index.html
package-url:
description: The Haskell XML Toolbox bases on the ideas of HaXml and HXML,
             but introduces a more general approach for processing XML with Haskell.
             The Haskell XML Toolbox uses a generic data model for representing XML documents,
             including the DTD subset and the document subset, in Haskell.
             It contains a validating XML parser, a HTML parser, namespace support,
             an XPath expression evaluator, an XSLT library, a RelaxNG schema validator
             and funtions for serialization and deserialization of user defined data.
             The library makes extensive use of the arrow approach for processing XML.
             Since version 9 the toolbox is partitioned into various (sub-)packages.
             This package contains the core functionality,
             hxt-curl, hxt-tagsoup, hxt-relaxng, hxt-xpath, hxt-xslt, hxt-regex-xmlschema contain the extensions.
             hxt-unicode contains encoding and decoding functions,
             hxt-charproperties char properties for unicode and XML.
category: XML
author: Uwe Schmidt, Martin Schmidt, Torben Kuseler
exposed: True
exposed-modules: Control.Arrow.ArrowExc Control.Arrow.ArrowIO
                 Control.Arrow.ArrowIf Control.Arrow.ArrowList Control.Arrow.ArrowNF
                 Control.Arrow.ArrowNavigatableTree Control.Arrow.ArrowState
                 Control.Arrow.ArrowTree Control.Arrow.IOListArrow
                 Control.Arrow.IOStateListArrow Control.Arrow.ListArrow
                 Control.Arrow.ListArrows Control.Arrow.NTreeEdit
                 Control.Arrow.StateListArrow Control.FlatSeq Data.AssocList
                 Data.Atom Data.Function.Selector Data.Tree.Class
                 Data.Tree.NTree.TypeDefs Data.Tree.NTree.Edit
                 Data.Tree.NTree.Zipper.TypeDefs Data.Tree.NavigatableTree.Class
                 Data.Tree.NavigatableTree.XPathAxis Text.XML.HXT.Arrow.Binary
                 Text.XML.HXT.Arrow.DTDProcessing Text.XML.HXT.Arrow.DocumentInput
                 Text.XML.HXT.Arrow.DocumentOutput Text.XML.HXT.Arrow.Edit
                 Text.XML.HXT.Arrow.GeneralEntitySubstitution
                 Text.XML.HXT.Arrow.Namespace Text.XML.HXT.Arrow.ParserInterface
                 Text.XML.HXT.Arrow.Pickle Text.XML.HXT.Arrow.Pickle.DTD
                 Text.XML.HXT.Arrow.Pickle.Schema Text.XML.HXT.Arrow.Pickle.Xml
                 Text.XML.HXT.Arrow.ProcessDocument Text.XML.HXT.Arrow.ReadDocument
                 Text.XML.HXT.Arrow.WriteDocument Text.XML.HXT.Arrow.XmlArrow
                 Text.XML.HXT.Arrow.XmlOptions Text.XML.HXT.Arrow.XmlRegex
                 Text.XML.HXT.Arrow.XmlState
                 Text.XML.HXT.Arrow.XmlState.ErrorHandling
                 Text.XML.HXT.Arrow.XmlState.MimeTypeTable
                 Text.XML.HXT.Arrow.XmlState.RunIOStateArrow
                 Text.XML.HXT.Arrow.XmlState.TraceHandling
                 Text.XML.HXT.Arrow.XmlState.TypeDefs
                 Text.XML.HXT.Arrow.XmlState.URIHandling
                 Text.XML.HXT.Arrow.XmlState.SystemConfig Text.XML.HXT.Core
                 Text.XML.HXT.DOM.FormatXmlTree Text.XML.HXT.DOM.Interface
                 Text.XML.HXT.DOM.MimeTypeDefaults Text.XML.HXT.DOM.MimeTypes
                 Text.XML.HXT.DOM.QualifiedName Text.XML.HXT.DOM.ShowXml
                 Text.XML.HXT.DOM.TypeDefs Text.XML.HXT.DOM.Util
                 Text.XML.HXT.DOM.XmlKeywords Text.XML.HXT.DOM.XmlNode
                 Text.XML.HXT.DTDValidation.AttributeValueValidation
                 Text.XML.HXT.DTDValidation.DTDValidation
                 Text.XML.HXT.DTDValidation.DocTransformation
                 Text.XML.HXT.DTDValidation.DocValidation
                 Text.XML.HXT.DTDValidation.IdValidation
                 Text.XML.HXT.DTDValidation.RE Text.XML.HXT.DTDValidation.TypeDefs
                 Text.XML.HXT.DTDValidation.Validation
                 Text.XML.HXT.DTDValidation.XmlRE Text.XML.HXT.IO.GetFILE
                 Text.XML.HXT.Parser.HtmlParsec
                 Text.XML.HXT.Parser.ProtocolHandlerUtil
                 Text.XML.HXT.Parser.XhtmlEntities Text.XML.HXT.Parser.XmlCharParser
                 Text.XML.HXT.Parser.XmlDTDParser
                 Text.XML.HXT.Parser.XmlDTDTokenParser
                 Text.XML.HXT.Parser.XmlEntities Text.XML.HXT.Parser.XmlParsec
                 Text.XML.HXT.Parser.XmlTokenParser
                 Text.XML.HXT.XMLSchema.DataTypeLibW3CNames Text.XML.HXT.Version
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.3/cabal/hxt-9.1.2
library-dirs: /usr/local/lib/ghc-7.0.3/cabal/hxt-9.1.2
              /usr/local/lib
hs-libraries: HShxt-9.1.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: HUnit-1.2.2.3-407fb24a241ae730f882e3904d028a4b
         base-4.3.1.0-63fd52d9e7e39016c91be0baf3543757
         binary-0.5.0.2-e7e7651f76a2589e9dd2d6b265a695e0
         bytestring-0.9.1.10-94a0a1c920aee21a485bdf21fd51b2be
         containers-0.4.0.0-8781485edb2ac0db733a9f9c72e27945
         deepseq-1.1.0.2-677f443f43caba0d312ab80199d4a233
         directory-1.1.0.0-689c0feb497f60ef9b6c9a128fc1997e
         filepath-1.2.0.0-b273467b63dd15270d77af61bc610112
         haskell98-1.1.0.1-b5235617d15eeebf246dacfc99755a36
         hxt-charproperties-9.1.0-ee410d624ebc35ccd620c0cc87f43069
         hxt-regex-xmlschema-9.0.0-6d19de10e727ab902a6cc97f2d411b79
         hxt-unicode-9.0.1-0aa819ded180169b0813c3b73924369d
         network-2.3.0.2-4bdce520e2bb55c98ae5005c462b1d42
         parsec-3.1.1-24a0c72c871fb293b735db1d9af2e510
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.3/cabal/hxt-9.1.2/html/hxt.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.3/cabal/hxt-9.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
